## org.eclipse.emf.ecore.impl
Interface BasicEObjectImpl.EPropertiesHolder

All Superinterfaces:
  EStructuralFeature.Internal.DynamicValueHolder

All Known Implementing Classes:
  BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl, DynamicEObjectImpl.DynamicEPropertiesHolderImpl, EStoreEObjectImpl.EStoreEPropertiesHolderImpl, EStringToStringMapEntryImpl.EStringToStringMapEntryPropertiesHolderImpl

Enclosing class:
  BasicEObjectImpl

    protected static interface BasicEObjectImpl.EPropertiesHolder

extends EStructuralFeature.Internal.DynamicValueHolder

An internal interface for holding less frequently members variables.

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Method Summary
`void` `allocateSettings(int dynamicFeatureCount)`
`EClass` `getEClass()`
`EList<EObject>` `getEContents()`
`EList<EObject>` `getECrossReferences()`
`URI` `getEProxyURI()`
`Resource.Internal` `getEResource()`
`boolean` `hasSettings()`
`void` `setEClass(EClass eClass)`
`void` `setEContents(EList<EObject> eContents)`
`void` `setECrossReferences(EList<EObject> eCrossReferences)`
`void` `setEProxyURI(URI eProxyURI)`
`void` `setEResource(Resource.Internal eResource)`

Methods inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`dynamicGet, dynamicSet, dynamicUnset`

Method Detail

### getEClass

    EClass getEClass()

### setEClass

    void setEClass(EClass eClass)

### getEProxyURI

    URI getEProxyURI()

### setEProxyURI

    void setEProxyURI(URI eProxyURI)

### getEResource

    Resource.Internal getEResource()

### setEResource

    void setEResource(Resource.Internal eResource)

### getEContents

    EList<EObject> getEContents()

### setEContents

    void setEContents(EList<EObject> eContents)

### getECrossReferences

    EList<EObject> getECrossReferences()

### setECrossReferences

    void setECrossReferences(EList<EObject> eCrossReferences)

### hasSettings

    boolean hasSettings()

### allocateSettings

    void allocateSettings(int dynamicFeatureCount)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.